import { LfI18n, LfStorage, PathBased } from '@lightweightform/core';
import { Toggleable } from '../../abstract/toggleable';
/**
 * LF alert component.
 */
export declare class AlertComponent extends Toggleable {
    style: string;
    showCloseButton: boolean;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n);
    get closeButtonTooltip(): string;
}
